---
title: Error.prototype.message
slug: Web/JavaScript/Reference/Global_Objects/Error/message
tags:
  - JavaScript
  - Property
  - Prototype
---
<div>{{JSRef}}</div>

<p>The <code><strong>message</strong></code> property is a human-readable description of the error.</p>

<h2 id="Description">Description</h2>

<p>This property contains a brief description of the error if one is available or has been set. <a href="/en-US/docs/Mozilla/Projects/SpiderMonkey">SpiderMonkey</a> makes extensive use of the <code>message</code> property for exceptions. The <code>message</code> property combined with the {{jsxref("Error.prototype.name", "name")}} property is used by the {{jsxref("Error.prototype.toString()")}} method to create a string representation of the Error.</p>

<p>By default, the <code>message</code> property is an empty string, but this behavior can be overridden for an instance by specifying a message as the first argument to the {{jsxref("Error/Error", "Error")}} constructor.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Throwing_a_custom_error">Throwing a custom error</h3>

<pre class="brush: js notranslate">var e = new Error('Could not parse input');
// e.message is 'Could not parse input'
throw e;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-error.prototype.message', 'Error.prototype.message')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Error.message")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Error.prototype.name")}}</li>
 <li>{{jsxref("Error.prototype.toString()")}}</li>
</ul>
